Controlling Workflow Behaviors (Notifications, Names, and More)
Our default workflows were designed to meet the needs of the majority of our customers, but some use-cases need finer-grained control. Learn about several of the flags we offer to control how signing workflows are executed.
Our default workflows were designed to meet the needs of the majority of our customers, but some use-cases need finer-grained control. To control these behaviors, you can adjust a number of flags when creating envelopes to match your use-case.
No Contact
When sending an envelope, Verdocs will contact each recipient for you via Email or SMS to invite them to sign at the appropriate step in your workflow. Recipients at the same "sequence" act in parallel, and will receive invitations (and, if enabled, reminders) at the same time. Recipients at later steps will be notified once all prior recipients have completed their steps.
These messages are delivered via user-friendly templates that you can customize in your Organization Profile by changing the Logo, Thumbnail, Primary Color, and Secondary Color. You can also set an invitation message per recipient to provide more information about what they are being asked to sign:
curl -X POST 'https://stage-api.verdocs.com/v2/envelopes' \
-H "Content-Type: application/json" \
-H 'authorization: Bearer ey........Nc' \
--data-raw '{...otherparams,
"recipients":[{
"name":"Recipient 1",
"type":"signer",
"first_name":"First",
"last_name":"Last",
"email":"first+last@gmail.com",
"sequence":1,
"order":1,
"message":"This version includes the adjustments we agreed to on 3/1. Thanks!"
}]}'Including a message helps recipients understand what they are being asked to do, and increases click-through rates to get your documents signed more quickly.
Sender Name
You can also customize the "from" name on outbound messages when creating envelopes. Note that Verdocs cannot "spoof" email addresses - notifications will still be sent from notifications@verdocs.com. But the full name shown in most email clients is normally obtained from your profile, generating an email address such as the following:
Will Power <notifications@verdocs.com>if your profile name was "Will Power". Most modern email clients will show that name instead of the raw email address, which helps recipients identify your notifications in their inboxes.
This works for the majority of use-cases, but some dynamic workflows have "sender names" driven by backend processes, databases, etc. If they are very dynamic, it can be a burden to create new profiles for every new envelope being sent. To avoid this, you can also specify the sender name directly when creating an envelope:
curl -X POST 'https://stage-api.verdocs.com/v2/envelopes' \
-H "Content-Type: application/json" \
-H 'authorization: Bearer ey........Nc' \
--data-raw '{...otherparams,
"sender_name": "Paige Turner",
"recipients":[...]}'No Contact
For many users, the above options are the easiest options for customizing messages. Email delivery is challenging, and we have worked hard at Verdocs to achieve the highest "reputation" for our notifications to ensure they get delivered, and most of our customers prefer to take advantage of that.
However, if you do have your own email/SMS infrastructures, you can have full control over your outbound messages by setting the "no_contact" flag when creating an envelope. If this is set, recipients will not receive alerts of any kind from Verdocs. You can use the metadata returned when creating the envelope to generate invitation messages of your own.
This is particularly helpful when building "in-person" signing workflows, such as kiosk apps where notifications are not required/desired at all. Our "Sign" Web embed only requires three parameters: the envelope ID, the recipient's role, and an in-person invite code which can be found in the Create Envelope response body.
curl -X POST 'https://stage-api.verdocs.com/v2/envelopes' \
-H "Content-Type: application/json" \
-H 'authorization: Bearer ey........Nc' \
--data-raw '{...otherparams,
"no_contact": true,
"recipients":[...]}'Understanding and Managing Profiles
A Profile in Verdocs is a crucial component in managing signing workflows and security for your documents. This guide will help you understand how they work and how you can override them in highly dynamic workflows.
Server Workflow with Static Templates
This workflow is the simplest use-case, and is the recommended place to start when building an e-Signing experience using Verdocs.